<?php

namespace Modules\Store\Models;


use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Modules\Area\Models\Area;
use Modules\Category\Models\Category;
use Modules\City\Models\City;
use Modules\Product\Models\Product;
use Modules\Service\Uploads\UploadingService;
use Modules\User\Models\User;

class EditStore extends Model
{
    //use soft delete
    use SoftDeletes;

    protected $fillable = [
        'name','phone','email','min_order','category_id','sub_category_id','store_id'
    ];

    public function store()
    {
        return $this->belongsTo(Store::class)->withTrashed();
    }
    public function category()
    {
        return $this->belongsTo(Category::class,'category_id')->withTrashed();
    }
    public function subCategory()
    {
        return $this->belongsTo(Category::class,'sub_category_id')->withTrashed();
    }

}
